#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe


EXT=obj

SCENE=vienna_cropped
SCENE_PATH=../data/vienna

SCENE=arena-high-lods
SCENE_PATH=../data/Arena


ENVIRONMENT=generate_viewcells.env
LOG_PREFIX=$SCENE

echo "starting $TARGET mode for $SCENE scene ($PROGRAM)"

SCENE_FILENAME=$SCENE_PATH/$SCENE.$EXT


#######################################################

NODES=4000
VIEWCELLS=5000

USE_HEUR=false
OBJ_WEIGHT=20

SAMPLES=1000000

METHOD=$VIEWCELLS-viewcells.xml.gz
 
echo "$SCENE $METHOD"
$PROGRAM $ENVIRONMENT \
 -scene_filename=$SCENE_FILENAME \
 -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -view_cells_filename=$LOG_PREFIX-$METHOD-viewcells.xml.gz \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=0 \
 -view_cells_triangle_weight=1.0 \
 -view_cells_object_weight=$OBJ_WEIGHT \
 -vsp_use_cost_heuristics=$USE_HEUR \
 -bvh_term_max_leaves=$NODES \
 -vsp_term_max_view_cells=$VIEWCELLS \
 -hierarchy_construction_samples=$SAMPLES

sh movefiles.sh $LOG_PREFIX-$METHOD

